'use strict';

/**
 *
 *
 * @author Zhong
 * @date 2018/8/16
 * @version
 */
//允许使用的工料机类型：人工、普通材料、混凝土、砂浆、配合比、商品混凝土、商品砂浆、外购砼构件、绿化苗木
// 机械台班、机械组成物、机上人工、设备
let allowGljType = [1, 201, 202, 203, 204, 205, 206, 208, 209, 301, 302, 303,5];

//允许含有组成物的工料机类型：混凝土、砂浆、配合比、机械台班
let allowComponent = [202, 203, 204, 301];
//可以作为组成物的工料机类型：普通材料、机械组成物、机上人工
let componentType = [201, 302, 303];
//允许含有组成物的机械工料机类型：机械台班
let machineAllowComponent = [301];
//可以作为机械工料机组成物的工料机类型：机械组成物、机上人工、普通材料
let machineComponent = [201, 302, 303];
//允许含有组成物的材料工料机类型：混凝土、砂浆、配合比
let materialAllowComponent = [202, 203, 204];
//可以作为材料工料机组成物的工料机类型：普通材料
let materialComponent = [201];